name = "Resourceful"
version = "1.0"
description = "Ver. "..version.."\nGet more logs when chopping tree down. Get rare item when finishing a work(digging or chopping)"
author = "tedrahedron"
forumthread = ""
api_version = 10
dont_starve_compatible = false
reign_of_giants_compatible = false
dst_compatible = true
all_clients_require_mod = false
client_only_mod = false
server_filter_tags = {"mineable gems"}


opt_numbers = {
{description = "0", data = 0},
{description = "1", data = 1},
{description = "2", data = 2},
{description = "3", data = 3},
{description = "4", data = 4},
{description = "5", data = 5},
{description = "6", data = 6},
{description = "7", data = 7},
{description = "8", data = 8},
{description = "9", data = 9}
}

opt_prob = {
{description = "0.0", data = 0.0},
{description = "0.1", data = 0.1},
{description = "0.2", data = 0.2},
{description = "0.3", data = 0.3},
{description = "0.4", data = 0.4},
{description = "0.5", data = 0.5},
{description = "0.6", data = 0.6},
{description = "0.7", data = 0.7},
{description = "0.8", data = 0.8},
{description = "0.9", data = 0.9}
}


opt_rare = {
{description = "No Chance", data = 0.0},
{description = "1/3000", data = 1.0/3000},
{description = "1/2200", data = 1.0/2200},
{description = "1/1200", data = 1.0/1200},
{description = "1/1000", data = 1.0/1000},
{description = "1/700", data  = 1.0/700},
{description = "1/550", data  = 1.0/550},
{description = "1/400", data  = 1.0/400},
{description = "1/300", data  = 1.0/300},
{description = "1/200", data  = 1.0/200},
{description = "1/160", data  = 1.0/160},
{description = "1/100", data  = 1.0/100},
{description = "1/80", data   = 1.0/80},
{description = "1/65", data   = 1.0/65},
{description = "1/50", data   = 1.0/50},
{description = "1/40", data   = 1.0/40},
{description = "1/30", data   = 1.0/30},
}

opt_boost = {
{description = "Disable", data = 0.0},
{description = "0.1", data = 0.1},
{description = "0.2", data = 0.2},
{description = "0.4", data = 0.4},
{description = "0.6", data = 0.6},
{description = "0.8", data = 0.8},
{description = "1.0", data = 1.0},
{description = "1.3", data = 1.3},
{description = "1.6", data = 1.6},
{description = "2.0", data = 2.0},
{description = "2.5", data = 2.5},
{description = "5.0", data = 5.0},
{description = "10", data  = 10}
}

configuration_options =
{
	{
		name = "evergreen more log",
		options = opt_numbers,
		default = 1,
	},
	{
		name = "evergreen more log size increase",
		options = opt_numbers,
		default = 1,
	},
	{
		name = "evergreen more log lucky",
		options = opt_numbers,
		default = 3,
	},
	{
		name = "deciduous tree more log",
		options = opt_numbers,
		default = 4,
	},
	{
		name = "deciduous tree more log probability",
		options = opt_prob,
		default = 0.3,
	},
	{
		name = "more grass",
		options = opt_numbers,
		default = 7,
	},
	{
		name = "more twig",
		options = opt_numbers,
		default = 5,
	},
	{
		name =  "more rocks",
		options = opt_numbers,
		default = 5,
	},
	{
		name =  "more rocks lucky",
		options = opt_numbers,
		default = 7,
	},
	{
		name = "more flint",
		options = opt_numbers,
		default = 1,
	},
	{
		name =  "more flint lucky",
		options = opt_numbers,
		default = 3,
	},
	{
		name =  "more goldnugget",
		options = opt_numbers,
		default = 1,
	},
	{
		name =  "more goldnugget lucky",
		options = opt_numbers,
		default = 5,
	},
	{
		name = "more nitre",
		options = opt_numbers,
		default = 1,
	},
	{
		name =  "more nitre lucky",
		options = opt_numbers,
		default = 5,
	},
	
	
	{
		name = "more meat",
		options = opt_numbers,
		default = 1,
	},
	{
		name =  "more meat lucky",
		options = opt_numbers,
		default = 4,
	},
	{
		name =  "drop pigskin probability",
		options = opt_prob,
		default = 0.1,
	},
	
	
	
	
	{
		name = "rare redgem",
		options = opt_rare,
		default = 1.0/40,
	},
	{
		name =  "rare bluegem",
		options = opt_rare,
		default = 1.0/40,
	},
	{
		name =  "rare marble",
		options = opt_rare,
		default = 1.0/30,
	},
	{
		name =  "rare gear",
		options = opt_rare,
		default = 1.0/100,
	},
	{
		name =  "rare dragon_scales",
		options = opt_rare,
		default = 1.0/160,
	},
	{
		name =  "rare knight",
		options = opt_rare,
		default = 1.0/200,
	},
	{
		name =  "rare mandrake",
		options = opt_rare,
		default = 1.0/400,
	},
	{
		name =  "rare boss",
		options = opt_rare,
		default = 1.0/700,
	},
	{
		name =  "rare big boss",
		options = opt_rare,
		default = 1.0/1200,
	},
	{
		name =  "rare feather",
		options = opt_rare,
		default = 1.0/80,
	},
	{
		name =  "rare rock",
		options = opt_rare,
		default = 1.0/50,
	},
	{
		name =  "rare flint",
		options = opt_rare,
		default = 1.0/50,
	},
	{
		name =  "rare spider",
		options = opt_rare,
		default = 1.0/30,
	},
	{
		name =  "rare spidergland",
		options = opt_rare,
		default = 1.0/50,
	},
	{
		name =  "rare silk",
		options = opt_rare,
		default = 1.0/40,
	},
	
	
	
	
	{
		name =  "chop tree drop change boost",
		options = opt_boost,
		default = 1.0,
	},
	{
		name =  "dig drop change boost",
		options = opt_boost,
		default = 2.0,
	},
	{
		name =  "dig unpickable drop change boost",
		options = opt_boost,
		default = 0.4,
	},
}
